summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Wayne Cuddy <wcuddy@gmail.com>2022-10-14 00:35:31 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-10-15 10:47:32 +0700
commit6a7b68af639a9e777d4011bd3703fdb84a348e02 (patch)
treec40873eb17ec6467cc47f86af7b72276d412c80b
parent60c6d5a66f8b9fc7f570ee7b6f06bbda60578d3b (diff)
downloadslackbuilds-6a7b68af639a9e777d4011bd3703fdb84a348e02.tar.gz
slackbuilds-6a7b68af639a9e777d4011bd3703fdb84a348e02.tar.xz
graphics/drawio: Added (powerful diagram editor)
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/drawio/README4
-rw-r--r--graphics/drawio/doinst.sh15
-rw-r--r--graphics/drawio/drawio.SlackBuild89
-rw-r--r--graphics/drawio/drawio.info10
-rw-r--r--graphics/drawio/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/graphics/drawio/README b/graphics/drawio/README
new file mode 100644
index 0000000000..b752fd5a76
--- /dev/null
+++ b/graphics/drawio/README
@@ -0,0 +1,4 @@
+High quality drawing, flowchart and presentation editor.
+
+This script builds a Slackware package from the prebuilt draw.io RPM
+package.
diff --git a/graphics/drawio/doinst.sh b/graphics/drawio/doinst.sh
new file mode 100644
index 0000000000..c07153b007
--- /dev/null
+++ b/graphics/drawio/doinst.sh
@@ -0,0 +1,15 @@
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+# If other icon themes are installed, then add to/modify this as needed
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/drawio/drawio.SlackBuild b/graphics/drawio/drawio.SlackBuild
new file mode 100644
index 0000000000..568f2b1b02
--- /dev/null
+++ b/graphics/drawio/drawio.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for draw.io
+
+# Copyright 2018 Wayne Cuddy, Virginia, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#
+# 2022/10/08 - Updated to upstream V20.3.0
+# - Updated package name draw.io -> drawio to be consistent with
+# upstream naming adjustment.
+# 2019/12/22 - Updated to upstream V12.4.2
+# 2019/09/08 - Updated to upstream V11.2.5
+#
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=drawio
+VERSION=${VERSION:-20.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+ARCH=x86_64
+
+case "$(uname -m)" in
+ $ARCH) ;;
+ *)
+ echo "$PRGNAM package only supported on the x86_64 architecture" >&2
+ exit 1
+ ;;
+esac
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+
+rpm2cpio $CWD/$PRGNAM-$ARCH-$VERSION.rpm | cpio -vdium
+
+# Remove useless links that clutter the /usr file system.
+rm -rf usr/lib/.build-id
+
+# Prevent sbopkglint error
+mv usr/share/icons/hicolor/720x720 usr/share/icons/hicolor/718x718
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp opt/$PRGNAM/LICENSES.chromium.html $PKG/usr/doc/$PRGNAM-$VERSION
+cp opt/$PRGNAM/LICENSE.electron.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/drawio/drawio.info b/graphics/drawio/drawio.info
new file mode 100644
index 0000000000..8b3aa6f253
--- /dev/null
+++ b/graphics/drawio/drawio.info
@@ -0,0 +1,10 @@
+PRGNAM="drawio"
+VERSION="20.3.0"
+HOMEPAGE="https://www.draw.io"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/jgraph/drawio-desktop/releases/download/v20.3.0/drawio-x86_64-20.3.0.rpm"
+MD5SUM_x86_64="8fe12644883c373cc45dddc4c0eabfdf"
+REQUIRES=""
+MAINTAINER="Wayne Cuddy"
+EMAIL="wcuddy@gmail.com"
diff --git a/graphics/drawio/slack-desc b/graphics/drawio/slack-desc
new file mode 100644
index 0000000000..48d60fdcbe
--- /dev/null
+++ b/graphics/drawio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+drawio: drawio (powerful diagram editor)
+drawio:
+drawio: Easy to use diagram editor that can create flowcharts, process
+drawio: diagrams, org charts, UML, ER diagrams, network diagrams and much
+drawio: more.
+drawio:
+drawio: Supports on-line integration with Google Drive, GitHub, Dropbox,
+drawio: OneDrive and Trello. Supports exporting diagrams to several popular
+drawio: formats. Can be used online at https://www.draw.io or offline using
+drawio: this package.
+drawio: